Bug 1742062 - libstatgrab-0.92 is available
Summary: libstatgrab-0.92 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libstatgrab
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Orling
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-16 14:48 UTC by Upstream Release Monitoring
Modified: 2019-08-30 00:49 UTC (History)
4 users (show)

Fixed In Version: libstatgrab-0.92-1.fc30 libstatgrab-0.92-1.fc29
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-29 22:05:14 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-08-16 14:48:29 UTC
Latest upstream release: 0.92
Current version/release in rawhide: 0.91-12.fc31
URL: http://ftp.i-scream.org/pub/i-scream/libstatgrab/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1731/

Comment 1 Upstream Release Monitoring 2019-08-16 14:48:31 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- libstatgrab.pc.in

Comment 2 Tim Orling 2019-08-18 23:44:37 UTC
https://github.com/libstatgrab/libstatgrab/releases/tag/LIBSTATGRAB_0_92

"

This release mostly includes bugfixes and is API and ABI compatible with 0.91.

    Fix various file descriptor leaks.
    On Linux, read process thread name from comm where available (fixes FreeScale ARM BSP).
    Add more process stat information on MacOS/Darwin.
    Fix build on Alpine Linux and NetBSD 8.
    Fix build on FreeBSD 12 without COMPAT_FREEBSD11.
    Improve collection of data for non-standard Solaris interfaces.
    Improve detection of interface link status on Solaris.
    Various configure and build fixes.
    Ensure modern log4cplus is used correctly.

"

Comment 4 Fedora Update System 2019-08-19 03:52:59 UTC
FEDORA-2019-1ebe386df3 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ebe386df3

Comment 5 Fedora Update System 2019-08-20 00:41:54 UTC
libstatgrab-0.92-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b010c92545

Comment 6 Fedora Update System 2019-08-20 01:37:13 UTC
libstatgrab-0.92-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ebe386df3

Comment 7 Fedora Update System 2019-08-29 22:05:14 UTC
libstatgrab-0.92-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-08-30 00:49:40 UTC
libstatgrab-0.92-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.